> For the complete documentation index, see [llms.txt](https://api-portal.novapost.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-portal.novapost.com/methods/ua/overview/shipments/proof-of-delivery.md).

# Proof of delivery

## Список вкладень

> Повертає список доступних файлів, прикріплених до відправлення (фотографії та/або підпис), для вказаного відправлення \*\*лише якщо відправлення належить автентифікованому клієнту\*\*.<br>

```json
{"openapi":"3.0.0","info":{"title":"API Nova Post","version":"1.0.0"},"tags":[{"name":"Shipments"}],"servers":[{"description":"sandbox","url":"https://api-stage.novapost.com/v.1.0/"},{"description":"production","url":"https://api.novapost.com/v.1.0/"}],"security":[{"JWT":[]}],"components":{"securitySchemes":{"JWT":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT-токен авторизації зі строком дії 1 годину у заголовку"}},"responses":{"Unauthorized":{"description":"Неавторизований доступ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"Вказаний ресурс не знайдено","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Time-out":{"description":"Час очікування з’єднання вичерпано","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"schemas":{"Error":{"type":"object","properties":{"errors":{"type":"object","properties":{"":{"type":"string"}}}}}}},"paths":{"/shipments/{shipmentNumber}/attachments":{"get":{"tags":["Shipments"],"description":"Повертає список доступних файлів, прикріплених до відправлення (фотографії та/або підпис), для вказаного відправлення **лише якщо відправлення належить автентифікованому клієнту**.\n","parameters":[{"in":"path","name":"shipmentNumber","required":true,"description":"Номер відправлення.","schema":{"type":"string"}}],"responses":{"200":{"description":"Структура метаданих","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"shipmentId":{"type":"integer","description":"Внутрішній ідентифікатор відправлення."},"storageInfo":{"type":"object","description":"Містить інформацію про файл.","properties":{"id":{"type":"string","description":"Унікальний ідентифікатор файлу `{fileId}` у сховищі."},"name":{"type":"string","description":"Назва файлу."},"documentType":{"type":"string","description":"Тип документа:\n- Signature\n- ProofOfDelivery\n"}}},"createdAt":{"type":"string","description":"Дата й час завантаження файлу. Дата у форматі ISO 8601."}}}}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"422":{"description":"Можливі відповіді з помилками","content":{"application/json":{}}},"503":{"$ref":"#/components/responses/Time-out"}},"summary":"Список вкладень"}}}}
```

## Завантажити вкладення

> Повертає \*\*потік файлу\*\*, вказаного за \`fileId\`, якщо відправлення належить автентифікованому клієнту.<br>

```json
{"openapi":"3.0.0","info":{"title":"API Nova Post","version":"1.0.0"},"tags":[{"name":"Shipments"}],"servers":[{"description":"sandbox","url":"https://api-stage.novapost.com/v.1.0/"},{"description":"production","url":"https://api.novapost.com/v.1.0/"}],"security":[{"JWT":[]}],"components":{"securitySchemes":{"JWT":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT-токен авторизації зі строком дії 1 годину у заголовку"}},"responses":{"Unauthorized":{"description":"Неавторизований доступ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"Вказаний ресурс не знайдено","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Time-out":{"description":"Час очікування з’єднання вичерпано","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"schemas":{"Error":{"type":"object","properties":{"errors":{"type":"object","properties":{"":{"type":"string"}}}}}}},"paths":{"/shipments/{shipmentNumber}/attachments/{fileId}":{"get":{"tags":["Shipments"],"description":"Повертає **потік файлу**, вказаного за `fileId`, якщо відправлення належить автентифікованому клієнту.\n","parameters":[{"in":"path","name":"shipmentNumber","required":true,"description":"Номер відправлення.","schema":{"type":"string"}},{"in":"path","name":"fileId","required":true,"description":"Унікальний ідентифікатор файлу.","schema":{"type":"string"}}],"responses":{"200":{"description":"Файл.","content":{"application/pdf":{"schema":{"type":"string","format":"binary"}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"422":{"description":"Неможливо обробити сутність.","content":{"application/json":{}}},"503":{"$ref":"#/components/responses/Time-out"}},"summary":"Завантажити вкладення"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://api-portal.novapost.com/methods/ua/overview/shipments/proof-of-delivery.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
